Page MenuHomePhabricator

When a user tries to open Content Translation in an unsupported browser, a clear message about this must be shown
Closed, InvalidPublic

Description

After several complaints about this, I tried opening Special:CX in Internet Explorer 9. I saw a message saying "Could not connect to the server".

At the same time, it did work with Firefox. Also, we officially support IE 10 and up.

The message should be: "Content Translation cannot be used in Internet Explorer 9".

Tagging good first task, because we already have a browser support matrix in the code, and it's probably just a matter of adding a relevant translatable message and a condition in the right place.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterAdded clear unsupported browser message in Special:ContentTranslation

Event Timeline

Amire80 created this task.Jul 7 2016, 11:32 AM
Restricted Application added subscribers: Zppix, TerraCodes, Aklapper. · View Herald TranscriptJul 7 2016, 11:32 AM
Amire80 triaged this task as Medium priority.Jul 22 2016, 8:46 PM
Pranavmk98 added a subscriber: Pranavmk98.

I will mentor this in Google Code-In 2016, and gladly accept help from anyone else!

Aklapper removed Ashutosh1206 as the assignee of this task.Nov 8 2016, 2:54 PM
Aklapper added a subscriber: Ashutosh1206.

@Ashutosh1206: I am resetting the assignee of this task because there have been no signs of progress lately (please correct me if I'm wrong).
Resetting the assignee avoids the impression that somebody is already working on fixing this task and it also allows anybody else to potentially work towards fixing this task. Thanks for your understanding!

Change 325092 had a related patch set uploaded (by Filip):
Fix: "When a user tries to open Content Translation in an unsupported browser, a clear message about this must be shown"

https://gerrit.wikimedia.org/r/325092

Amire80 moved this task from Bugs to Out of Beta on the ContentTranslation board.May 9 2017, 5:46 PM

Change 325092 abandoned by Nikerabbit:
Added clear unsupported browser message in Special:ContentTranslation

Reason:
No longer needed as we don't serve JS to IE9. I'm removing the blacklist with https://gerrit.wikimedia.org/r/383989

https://gerrit.wikimedia.org/r/325092

Nikerabbit closed this task as Invalid.Oct 13 2017, 8:57 AM
Nikerabbit added a subscriber: Nikerabbit.

No longer relevant.